fc8 # yum install asterisk?

Fresh fc8 install.

I’m following along in OReilly’s Asterisk pdf book for a new install of Asterisk, but instead of building from src I just thought I’d see if the asterisk etc packages were available via the default fc8 yum repositories and sure enough they are.

rpm -q -a | egrep “asterisk|zaptel|libpri”

zaptel-1.4.11-1.fc8
libpri-1.4.3-1.fc8
asterisk-1.4.21.2-1.fc8

And the following were installed as dependencies:

fedora-usermgmt
fedora-usermgmt-core
fedora-usermgmt-default-fedo
fedora-usermgmt-shadow-utils
gsm
libtermcap
speex
termcap

But I have no ztdummy module. Where is ztdummy? Any advice appreciated. Thx.

Hi
Please install zaptel

It is installed:

rpm -q -a | egrep “asterisk|zaptel|libpri”

zaptel-1.4.11-1.fc8
libpri-1.4.3-1.fc8
asterisk-1.4.21.2-1.fc8

ah, running asterisk above 1.2 might cause some crashin’ and thrashin’

Does anything in the Asterisk RPM actually need ztdummy? Looking at the package info, I don’t see any apps or channels that require it.